대상 환경으로의 배포 롤아웃, 단계별 로그 및 수동 롤백.

GET /api/v1/deployments/recent

GET/api/v1/deployments/recent

최근 배포 (대시보드)

대시보드 위젯용 최근 배포입니다.

필요 권한: VIEW

파라미터

이름위치형식필수설명
limitqueryinteger

응답

상태설명
200Successful Response (object)
422Validation Error (HTTPValidationError)

GET /api/v1/deployments

GET/api/v1/deployments

배포 목록

호출자 테넌트의 배포 목록입니다.

필요 권한: VIEW

파라미터

이름위치형식필수설명
statusquerystring?
modelquerystring?
pagequeryinteger
page_sizequeryinteger?

응답

상태설명
200Successful Response (object)
422Validation Error (HTTPValidationError)

POST /api/v1/deployments

POST/api/v1/deployments

배포 실행

모델 버전을 대상 디바이스에 배포하는 작업을 실행합니다.

필요 권한: DEPLOY

요청 본문: application/json, DeploymentCreate

필드형식필수설명
model_namestringModel Name
versionstringVersion
target_device_idstring?Target Device Id
strategystringStrategy
imagestring?Image
previous_versionstring?Previous Version

응답

상태설명
201Successful Response (object)
422Validation Error (HTTPValidationError)

GET /api/v1/deployments/{deployment_id}

GET/api/v1/deployments/{deployment_id}

배포 상세

단일 배포의 전체 상세 정보입니다.

필요 권한: VIEW

파라미터

이름위치형식필수설명
deployment_idpathstring (uuid)

응답

상태설명
200Successful Response (object)
422Validation Error (HTTPValidationError)

GET /api/v1/deployments/{deployment_id}/logs

GET/api/v1/deployments/{deployment_id}/logs

단계별 로그

배포 파이프라인의 단계별 로그 참조입니다.

필요 권한: OPERATE

파라미터

이름위치형식필수설명
deployment_idpathstring (uuid)
stepquerystring?

응답

상태설명
200Successful Response (object)
422Validation Error (HTTPValidationError)

POST /api/v1/deployments/{deployment_id}/rollback

POST/api/v1/deployments/{deployment_id}/rollback

수동 롤백

배포를 이전 버전으로 수동 롤백합니다.

필요 권한: ROLLBACK

파라미터

이름위치형식필수설명
deployment_idpathstring (uuid)

응답

상태설명
200Successful Response (object)
422Validation Error (HTTPValidationError)

2026-09-21 기준 플랫폼에 맞춰 작성했습니다.

© Geo-MLOps